HostingEmail aliases

List email aliases

GET/api/domains/{domain_code}/alias_email_accounts

Returns the email aliases configured for a domain.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

Query Parameters

page?integer

Page number

Format int32Default 1
per?integer

Results per page

Format int32Default 25
query?string

Search query

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/domains/string/alias_email_accounts" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
{
  "resources": [
    {
      "created_at": "string",
      "updated_at": "string",
      "domain_name": "string",
      "destinations": [
        null
      ],
      "status": "enabled",
      "status_detail": "ok",
      "code": "string",
      "name": "string"
    }
  ],
  "pagination": {
    "per": 0,
    "page": 0,
    "total_pages": 0,
    "query": "string",
    "filter": "string",
    "status": "string",
    "sort_field": "string",
    "sort": "string",
    "total_records": 0
  }
}
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}